/// <reference types="react" />
import { Config, TransitionItem } from './types.js';
export interface State<T, P = React.CSSProperties> {
    items: TransitionItem<T, P>[];
    byKey: {
        [key: string]: TransitionItem<T, P>;
    };
    nextUpdate: number | undefined;
}
export declare function generateInitialState<T, P = React.CSSProperties>(items: readonly T[], getKey: (item: T) => string | number, config: Config<T, P>): State<T, P>;
export declare function generateNextState<T, P = React.CSSProperties>(prev: State<T, P>, items: readonly T[], getKey: (item: T) => string | number, config: Config<T, P>): State<T, P>;
